Eyetracker |

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
pygaze._eyetracker.libsmi.SMItracker Class Reference
Inheritance diagram for pygaze._eyetracker.libsmi.SMItracker:

## Public Member Functions
| __init__ (self, display, ip='127.0.0.1', sendport=4444, receiveport=5555, logfile=settings.LOGFILE, eventdetection=settings.EVENTDETECTION, saccade_velocity_threshold=35, saccade_acceleration_threshold=9500, blink_threshold=settings.BLINKTHRESH, **args)
Public Member Functions inherited from pygaze._eyetracker.baseeyetracker.BaseEyeTracker
| __init__ (self)
| calibrate (self)
| close (self)
| connected (self)
| drift_correction (self, pos=None, fix_triggered=False)
| fix_triggered_drift_correction (self, pos=None, min_samples=30, max_dev=60, reset_threshold=10)
| get_eyetracker_clock_async (self)
| log (self, msg)
| log_var (self, var, val)
| pupil_size (self)
| sample (self)
| send_command (self, cmd)
| set_eye_used (self)
| draw_drift_correction_target (self, x, y)
| draw_calibration_target (self, x, y)
| set_draw_calibration_target_func (self, func)
| set_draw_drift_correction_target_func (self, func)
| start_recording (self)
| status_msg (self, msg)
| stop_recording (self)
| set_detection_type (self, eventdetection)
| wait_for_event (self, event)
| wait_for_blink_end (self)
| wait_for_blink_start (self)
| wait_for_fixation_end (self)
| wait_for_fixation_start (self)
| wait_for_saccade_end (self)
| wait_for_saccade_start (self)

## Static Public Attributes
| disp
| screen
| dispsize
| screensize
| kb
| keylist
| timeout
| errorbeep
| osc
| freq
| length
| outputfile
| description
| participant
| recording
| eye_used
| left_eye
| right_eye
| binocular
| errdist
| maxtries
| prevsample
| prevps
| fixtresh
| fixtimetresh
| spdtresh
| accthresh
| blinkthresh
| eventdetection
| weightdist

## Additional Inherited Members
Public Attributes inherited from pygaze._eyetracker.baseeyetracker.BaseEyeTracker
| draw_calibration_target = func
| draw_drift_correction_target = func

## Detailed Description

    Clase para objetos de rastreadores oculares SMI.

## Constructor & Destructor Documentation

## ◆ __init__()

pygaze._eyetracker.libsmi.SMItracker.__init__ | ( |  | self,
|  |  | display,
|  |  | ip = '127.0.0.1',
|  |  | sendport = 4444,
|  |  | receiveport = 5555,
|  |  | logfile = settings.LOGFILE,
|  |  | eventdetection = settings.EVENTDETECTION,
|  |  | saccade_velocity_threshold = 35,
|  |  | saccade_acceleration_threshold = 9500,
|  |  | blink_threshold = settings.BLINKTHRESH,
|  | ** | args )

    Inicializa el objeto SMItracker.

    Argumentos:
        display -- Instancia de pygaze.display.Display.

    Argumentos opcionales:
        ip -- Dirección IP interna para iViewX (por defecto: '127.0.0.1').
        sendport -- Puerto para enviar datos a iViewX (por defecto: 4444).
        receiveport -- Puerto para recibir datos de iViewX (por defecto: 5555).
        logfile -- Nombre del archivo de registro (por defecto: settings.LOGFILE).

## Member Data Documentation

## ◆ accthresh

pygaze._eyetracker.libsmi.SMItracker.accthresh
| static

## ◆ binocular

pygaze._eyetracker.libsmi.SMItracker.binocular
| static

## ◆ blinkthresh

pygaze._eyetracker.libsmi.SMItracker.blinkthresh
| static

## ◆ description

pygaze._eyetracker.libsmi.SMItracker.description
| static

## ◆ disp

pygaze._eyetracker.libsmi.SMItracker.disp
| static

## ◆ dispsize

pygaze._eyetracker.libsmi.SMItracker.dispsize
| static

## ◆ errdist

pygaze._eyetracker.libsmi.SMItracker.errdist
| static

## ◆ errorbeep

pygaze._eyetracker.libsmi.SMItracker.errorbeep
| static

## ◆ eventdetection

pygaze._eyetracker.libsmi.SMItracker.eventdetection
| static

## ◆ eye_used

pygaze._eyetracker.libsmi.SMItracker.eye_used
| static

## ◆ fixtimetresh

pygaze._eyetracker.libsmi.SMItracker.fixtimetresh
| static

## ◆ fixtresh

pygaze._eyetracker.libsmi.SMItracker.fixtresh
| static

## ◆ freq

pygaze._eyetracker.libsmi.SMItracker.freq
| static

## ◆ kb

pygaze._eyetracker.libsmi.SMItracker.kb
| static

## ◆ keylist

pygaze._eyetracker.libsmi.SMItracker.keylist
| static

## ◆ left_eye

pygaze._eyetracker.libsmi.SMItracker.left_eye
| static

## ◆ length

pygaze._eyetracker.libsmi.SMItracker.length
| static

## ◆ maxtries

pygaze._eyetracker.libsmi.SMItracker.maxtries
| static

## ◆ osc

pygaze._eyetracker.libsmi.SMItracker.osc
| static

## ◆ outputfile

pygaze._eyetracker.libsmi.SMItracker.outputfile
| static

## ◆ participant

pygaze._eyetracker.libsmi.SMItracker.participant
| static

## ◆ prevps

pygaze._eyetracker.libsmi.SMItracker.prevps
| static

## ◆ prevsample

pygaze._eyetracker.libsmi.SMItracker.prevsample
| static

## ◆ recording

pygaze._eyetracker.libsmi.SMItracker.recording
| static

## ◆ right_eye

pygaze._eyetracker.libsmi.SMItracker.right_eye
| static

## ◆ screen

pygaze._eyetracker.libsmi.SMItracker.screen
| static

## ◆ screensize

pygaze._eyetracker.libsmi.SMItracker.screensize
| static

## ◆ spdtresh

pygaze._eyetracker.libsmi.SMItracker.spdtresh
| static

## ◆ timeout

pygaze._eyetracker.libsmi.SMItracker.timeout
| static

## ◆ weightdist

pygaze._eyetracker.libsmi.SMItracker.weightdist
| static

The documentation for this class was generated from the following file:

- C:/Users/lurax/eyetrackingTobii/pygaze/_eyetracker/libsmi.py